=== debian/control ===
Source: libnitrokey
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 9.0.0), cmake, pkg-config, pkg-kde-tools, libhidapi-dev, libusb-1.0-0-dev
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/Nitrokey/libnitrokey

Package: libnitrokey-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libnitrokey3 (= ${binary:Version}), libhidapi-dev, ${misc:Depends}
Description: library to communicate with Nitrokey stick devices (development)
 library to communicate with Nitrokey Pro and Storage devices in a clean and
 easy manner. Written in C++14, testable with py.test and Catch frameworks,
 with C API, Python access.
 .
 This package contains development headers needed when developing
 C++ applications that use libnitrokey

Package: libnitrokey3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to communicate with Nitrokey stick devices
 library to communicate with Nitrokey Pro and Storage devices in a clean and
 easy manner. Written in C++14, testable with py.test and Catch frameworks,
 with C API, Python access.
