## libnitrokey 3.3

=== debian/changelog ===
libnitrokey (3.3-2) unstable; urgency=medium

  [ Jan Luca Naumann ]
  * Fix installation path of udev rule.
    - install to /lib/udev/rules.d 

  [ Scott Kitterman ]
  * Upload to unstable
  * Add misc:Depends for libnitrokey-common
  * Add Multi-Arch: allowed for libnitrokey-common
  * Update libnitrokey3.symbols from build logs

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 May 2018 00:44:38 -0400

libnitrokey (3.3-1) experimental; urgency=medium

  * Add git repository for packaging:
    - Vcs-* in debian/control
  * New upstream release
    - Update debian/copyright
    - Update symbols file
  * Account for nitrokey udev rule being built from libnitrokey instead of
    nitrokey-app
    - Add udev to build-depends
    - Add new binary, libnitrokey-common for udev rule since it is arch
      independent and so can't be in a multi-arched library binary
    - libnitrokey-common replaces nitrokey-app << 1.3~
  * Bump standards-version to 4.1.4 without further change
  * Update symbols file to work with -03 optimizations (Closes: #893831)
  * Fix insecure-copyright-format-uri

 -- Scott Kitterman <scott@kitterman.com>  Mon, 30 Apr 2018 00:05:05 -0400
