=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libnitrokey
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 9.0.0), cmake, pkg-config, pkg-kde-tools, libhidapi-dev, libusb-1.0-0-dev
-Standards-Version: 4.1.3
+Maintainer: Scott Kitterman <scott@kitterman.com>
+Build-Depends: debhelper (>= 9.0.0), cmake, pkg-config, pkg-kde-tools, libhidapi-dev, libusb-1.0-0-dev, udev
+Standards-Version: 4.1.4
 Section: libs
+Vcs-Git: https://salsa.debian.org/kitterman/libnitrokey.git
+Vcs-Browser: https://salsa.debian.org/kitterman/libnitrokey
 Homepage: https://github.com/Nitrokey/libnitrokey
 
 Package: libnitrokey-dev
@@ -23,8 +24,21 @@
 Package: libnitrokey3
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnitrokey-common
 Description: library to communicate with Nitrokey stick devices
  library to communicate with Nitrokey Pro and Storage devices in a clean and
  easy manner. Written in C++14, testable with py.test and Catch frameworks,
  with C API, Python access.
+
+Package: libnitrokey-common
+Architecture: all
+Multi-Arch: allowed
+Replaces: nitrokey-app (<< 1.3~)
+Depends: ${misc:Depends}
+Recommends: libnitrokey3
+Description: architecture independent files for libnitrokey
+ library to communicate with Nitrokey Pro and Storage devices in a clean and
+ easy manner. Written in C++14, testable with py.test and Catch frameworks,
+ with C API, Python access.
+ .
+ Architecture independent files
