## libnitrokey 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
     ENDIF()
 ENDIF()
 
-project(libnitrokey LANGUAGES C CXX VERSION 3.2.0)
+project(libnitrokey LANGUAGES C CXX VERSION 3.4.1)
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
@@ -42,23 +42,23 @@
 MESSAGE("${PROJECT_NAME}: Build type: ${CMAKE_BUILD_TYPE}")
 
 include_directories(hidapi)
-include_directories(include)
+include_directories(libnitrokey)
 set(SOURCE_FILES
-    include/command.h
-    include/command_id.h
-    include/cxx_semantics.h
-    include/device.h
-    include/device_proto.h
-    include/dissect.h
-    include/log.h
-    include/misc.h
-    include/NitrokeyManager.h
-    include/stick10_commands.h
-    include/stick20_commands.h
-    include/CommandFailedException.h
-    include/LibraryException.h
-    include/LongOperationInProgressException.h
-    include/stick10_commands_0.8.h
+    libnitrokey/command.h
+    libnitrokey/command_id.h
+    libnitrokey/cxx_semantics.h
+    libnitrokey/device.h
+    libnitrokey/device_proto.h
+    libnitrokey/dissect.h
+    libnitrokey/log.h
+    libnitrokey/misc.h
+    libnitrokey/NitrokeyManager.h
+    libnitrokey/stick10_commands.h
+    libnitrokey/stick20_commands.h
+    libnitrokey/CommandFailedException.h
+    libnitrokey/LibraryException.h
+    libnitrokey/LongOperationInProgressException.h
+    libnitrokey/stick10_commands_0.8.h
     command_id.cc
     device.cc
     log.cc
@@ -66,7 +66,9 @@
     NitrokeyManager.cc
     NK_C_API.h
     NK_C_API.cc
-        DeviceCommunicationExceptions.cpp)
+    DeviceCommunicationExceptions.cpp
+    ${CMAKE_CURRENT_BINARY_DIR}/version.cc
+    )
 
 set(BUILD_SHARED_LIBS ON CACHE BOOL "Build all libraries as shared")
 add_library(nitrokey ${SOURCE_FILES})
@@ -95,7 +97,7 @@
 
 OPTION(ERROR_ON_WARNING "Stop compilation on warning found (not supported for MSVC)" OFF)
 if (NOT MSVC)
-    set(COMPILE_FLAGS "-Wall -Wno-unused-function -Wcast-qual -Woverloaded-virtual")
+    set(COMPILE_FLAGS "-Wall -Wno-unused-function -Wcast-qual -Woverloaded-virtual -Wsign-compare -Wformat -Wformat-security")
     IF(NOT APPLE)
         if (ERROR_ON_WARNING)
             set(COMPILE_FLAGS "${COMPILE_FLAGS} -Werror")
@@ -115,9 +117,49 @@
 ENDIF()
 
 
-file(GLOB LIB_INCLUDES "include/*.h" "NK_C_API.h")
+OPTION(ADD_GIT_INFO "Add information about source code version from Git repository" TRUE)
+# generate version.h
+IF(ADD_GIT_INFO)
+execute_process(
+	COMMAND git describe --always --abbrev=4 HEAD
+	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+	RESULT_VARIABLE PROJECT_VERSION_GIT_RETURN_CODE
+	OUTPUT_VARIABLE PROJECT_VERSION_GIT
+	OUTPUT_STRIP_TRAILING_WHITESPACE
+	ERROR_QUIET
+)
+ENDIF()
+IF((NOT ${ADD_GIT_INFO}) OR (${PROJECT_VERSION_GIT_RETURN_CODE}))
+	SET(PROJECT_VERSION_GIT "unknown")
+	MESSAGE(STATUS "Setting Git library version to: " ${PROJECT_VERSION_GIT} )
+ENDIF()
+configure_file("version.cc.in" "version.cc" @ONLY)
+
+
+file(GLOB LIB_INCLUDES "libnitrokey/*.h" "NK_C_API.h")
 install (FILES ${LIB_INCLUDES} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
 install (TARGETS nitrokey DESTINATION ${CMAKE_INSTALL_LIBDIR})
+
+IF(NOT WIN32)
+    # Install Nitrokey udev rules
+    IF(NOT DEFINED CMAKE_INSTALL_UDEVRULESDIR)
+        set(PKG_GET_UDEV_DIR ${PKG_CONFIG_EXECUTABLE} --variable=udevdir udev)
+        execute_process(COMMAND ${PKG_GET_UDEV_DIR} RESULT_VARIABLE ERR OUTPUT_VARIABLE CMAKE_INSTALL_UDEVRULESDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
+        IF(${ERR})
+            set(CMAKE_INSTALL_UDEVRULESDIR "lib/udev/rules.d")
+        ELSE()
+            set(CMAKE_INSTALL_UDEVRULESDIR "${CMAKE_INSTALL_UDEVRULESDIR}/rules.d")
+        ENDIF()
+        string(REGEX REPLACE "^/" "" CMAKE_INSTALL_UDEVRULESDIR "${CMAKE_INSTALL_UDEVRULESDIR}")
+        string(REGEX REPLACE "^usr/" "" CMAKE_INSTALL_UDEVRULESDIR "${CMAKE_INSTALL_UDEVRULESDIR}") # usual prefix is usr/local
+        message(STATUS "Setting udev rules dir to ${CMAKE_INSTALL_UDEVRULESDIR}")
+    ENDIF()
+
+    install(FILES
+            ${CMAKE_CURRENT_SOURCE_DIR}/data/41-nitrokey.rules
+            DESTINATION ${CMAKE_INSTALL_UDEVRULESDIR}
+    )
+ENDIF()
 
 # configure and install pkg-config file
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libnitrokey.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libnitrokey-1.pc @ONLY)
@@ -127,38 +169,56 @@
 OPTION(COMPILE_OFFLINE_TESTS "Compile offline tests" FALSE)
 
 IF(COMPILE_OFFLINE_TESTS OR COMPILE_TESTS)
-    include_directories(unittest/Catch/include)
+    find_package(PkgConfig)
+    IF(PKG_CONFIG_FOUND)
+        pkg_check_modules(CATCH2 catch)
+    ENDIF()
+
+    if (CATCH2_FOUND)
+        message(STATUS "Found system Catch2, not using bundled version")
+        add_compile_options(${CATCH2_CFLAGS})
+    ELSE()
+        message(STATUS "Did NOT find system Catch2, instead using bundled version")
+        include_directories(unittest/Catch/single_include)
+    ENDIF()
+
     add_library(catch STATIC unittest/catch_main.cpp )
 ENDIF()
 
 IF(COMPILE_OFFLINE_TESTS)
     add_executable (test_offline unittest/test_offline.cc)
     target_link_libraries (test_offline ${EXTRA_LIBS} nitrokey catch)
+    SET_TARGET_PROPERTIES(test_offline PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} )
     #run with 'make test' or 'ctest'
     include (CTest)
     add_test (runs test_offline)
+
+    add_executable(test_minimal unittest/test_minimal.c)
+    target_link_libraries(test_minimal ${EXTRA_LIBS} nitrokey)
+    add_test(minimal test_minimal)
 ENDIF()
 
 IF (COMPILE_TESTS)
-    #needs connected PRO device for success
-    #warning: it may delete data on the device
-    add_executable (test_C_API unittest/test_C_API.cpp)
-    target_link_libraries (test_C_API ${EXTRA_LIBS} nitrokey catch)
-
-    add_executable (test2 unittest/test2.cc)
-    target_link_libraries (test2 ${EXTRA_LIBS} nitrokey catch)
-
-    add_executable (test3 unittest/test3.cc)
-    target_link_libraries (test3 ${EXTRA_LIBS} nitrokey catch)
-
-    add_executable (test_HOTP unittest/test_HOTP.cc)
-    target_link_libraries (test_HOTP ${EXTRA_LIBS} nitrokey catch)
-
-    add_executable (test1 unittest/test.cc)
-    target_link_libraries (test1 ${EXTRA_LIBS} nitrokey catch)
-
-    add_executable (test_issues unittest/test_issues.cc)
-    target_link_libraries (test_issues ${EXTRA_LIBS} nitrokey catch)
+    #needs connected Pro/Storage devices for success
+    #WARNING: it may delete data on the device
+
+        SET(TESTS
+                unittest/test_C_API.cpp
+                unittest/test2.cc
+                unittest/test3.cc
+                unittest/test_HOTP.cc
+                unittest/test1.cc
+                unittest/test_issues.cc
+                unittest/test_multiple_devices.cc
+                unittest/test_strdup.cpp
+        )
+
+    foreach(testsourcefile ${TESTS} )
+        get_filename_component(testname ${testsourcefile} NAME_WE )
+        add_executable(${testname} ${testsourcefile} )
+        target_link_libraries(${testname} ${EXTRA_LIBS} nitrokey catch )
+        SET_TARGET_PROPERTIES(${testname} PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} )
+    endforeach(testsourcefile)
 
 ENDIF()
