=== debian/changelog ===
libnitrokey (3.4.1-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:18 +0100

libnitrokey (3.4.1-4) unstable; urgency=medium

  * Update debian/copyright
  * Add lintian override for appstream-metadata-missing-modalias-provide
    because the correction is best done in nitrokey-app
  * Add Build-Depends-Package to libnitrokey3.symbols
  * Enable hardening flags

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Dec 2018 12:05:16 -0500

libnitrokey (3.4.1-3) unstable; urgency=medium

  * Update symbols file from build logs

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Dec 2018 23:46:42 -0500

libnitrokey (3.4.1-2) unstable; urgency=medium

  * Upload to unstable
  * Update symbols from build logs

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Dec 2018 07:20:50 -0500

libnitrokey (3.4.1-1) experimental; urgency=medium

  * New upstream release
    - Refresh patch
    - Update symbols file from build log (Closes: #915462)
  * Bump standards-version to 4.2.1 without further change
  * Fix Multi-Arch specification for libnitrokey-common

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Dec 2018 01:34:51 -0500
