=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/libnitrokey-$1.tar.gz/" \
    https://github.com/nitrokey/libnitrokey/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
