## libnitrokey 3.5

=== debian/changelog ===
libnitrokey (3.5-3.3) unstable; urgency=high

  * Non-maintainer upload.
  * Source-only upload to make the fix into Bullseye. (Closes: 981672)

 -- Patryk Cisek <patryk@debian.org>  Wed, 03 Feb 2021 11:34:35 -0800

libnitrokey (3.5-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed debian/libnitrokey3.symbols -- symbols would have to
    be maintained separately for each architecture.

 -- Patryk Cisek <patryk@debian.org>  Sat, 30 Jan 2021 09:17:04 -0800

libnitrokey (3.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated debian/libnitrokey3.symbols. (Closes: #966922)

 -- Patryk Cisek <patryk@debian.org>  Sat, 07 Nov 2020 13:37:07 -0800

libnitrokey (3.5-3) UNRELEASED; urgency=low

  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Fri, 26 Jun 2020 06:30:05 -0000

libnitrokey (3.5-2) unstable; urgency=medium

  * Upload to unstable
  * Update symbols files from experimental build logs (Closes: #958313)
  * Switch to debhelper-compat and update to compat 12
  * Update standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 May 2020 15:43:59 -0400

libnitrokey (3.5-1) experimental; urgency=medium

  * New upstream release
  * Update debiacn/copyright
  * Update symbols file

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Sep 2019 09:56:40 -0400
