=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libnitrokey
 Priority: optional
 Maintainer: Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 9.0.0), cmake, pkg-config, pkg-kde-tools, libhidapi-dev, libusb-1.0-0-dev, udev
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12), cmake, pkg-config, pkg-kde-tools, libhidapi-dev, libusb-1.0-0-dev, udev
+Standards-Version: 4.5.0
 Section: libs
 Vcs-Git: https://salsa.debian.org/kitterman/libnitrokey.git
 Vcs-Browser: https://salsa.debian.org/kitterman/libnitrokey
@@ -32,7 +32,7 @@
 
 Package: libnitrokey-common
 Architecture: all
-Multi-Arch: allowed
+Multi-Arch: foreign
 Replaces: nitrokey-app (<< 1.3~)
 Depends: ${misc:Depends}
 Recommends: libnitrokey3
