## libnitrokey 3.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
     ENDIF()
 ENDIF()
 
-project(libnitrokey LANGUAGES C CXX VERSION 3.4.1)
+project(libnitrokey LANGUAGES C CXX VERSION 3.6.0)
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
@@ -73,6 +73,8 @@
 set(BUILD_SHARED_LIBS ON CACHE BOOL "Build all libraries as shared")
 add_library(nitrokey ${SOURCE_FILES})
 
+set(HIDAPI_LIBUSB_NAME hidapi-libusb)
+
 IF(APPLE)
     include_directories(hidapi/hidapi)
     add_library(hidapi-libusb STATIC hidapi/mac/hid.c )
@@ -81,7 +83,12 @@
 ELSEIF(UNIX)
 #    add_library(hidapi-libusb STATIC hidapi/libusb/hid.c )
     find_package(PkgConfig)
-    pkg_search_module(HIDAPI_LIBUSB REQUIRED hidapi-libusb)
+    IF(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
+        pkg_search_module(HIDAPI_LIBUSB REQUIRED hidapi)
+        set(HIDAPI_LIBUSB_NAME hidapi)
+    ELSE()
+        pkg_search_module(HIDAPI_LIBUSB REQUIRED hidapi-libusb)
+    ENDIF()
     target_compile_options(nitrokey PRIVATE ${HIDAPI_LIBUSB_CFLAGS})
     target_link_libraries(nitrokey ${HIDAPI_LIBUSB_LDFLAGS})
 ELSEIF(WIN32)
@@ -129,10 +136,17 @@
 	ERROR_QUIET
 )
 ENDIF()
-IF((NOT ${ADD_GIT_INFO}) OR (${PROJECT_VERSION_GIT_RETURN_CODE}))
-	SET(PROJECT_VERSION_GIT "unknown")
-	MESSAGE(STATUS "Setting Git library version to: " ${PROJECT_VERSION_GIT} )
-ENDIF()
+# the version.h generation logic is tricky in a number of ways:
+# 1. git describe on a release tarball will always fail with
+#    a non-zero return code, usually 128
+# 2. If git is not installed, PROJECT_VERSION_GIT_RETURN_CODE
+#    will contain the string 'No such file or directory'
+# Hence fallback to PROJECT_VERSION when the return code is NOT 0.
+IF((NOT ${ADD_GIT_INFO}) OR (NOT ${PROJECT_VERSION_GIT_RETURN_CODE} STREQUAL "0"))
+	MESSAGE(STATUS "Setting fallback Git library version")
+	SET(PROJECT_VERSION_GIT "v${PROJECT_VERSION}")
+ENDIF()
+MESSAGE(STATUS "Setting Git library version to: " ${PROJECT_VERSION_GIT} )
 configure_file("version.cc.in" "version.cc" @ONLY)
 
 
@@ -171,7 +185,7 @@
 IF(COMPILE_OFFLINE_TESTS OR COMPILE_TESTS)
     find_package(PkgConfig)
     IF(PKG_CONFIG_FOUND)
-        pkg_check_modules(CATCH2 catch)
+        pkg_check_modules(CATCH2 catch2)
     ENDIF()
 
     if (CATCH2_FOUND)
@@ -209,8 +223,10 @@
                 unittest/test_HOTP.cc
                 unittest/test1.cc
                 unittest/test_issues.cc
+		unittest/test_memory.c
                 unittest/test_multiple_devices.cc
                 unittest/test_strdup.cpp
+                unittest/test_safe.cpp
         )
 
     foreach(testsourcefile ${TESTS} )
@@ -232,3 +248,12 @@
         "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION}")
 include (CPack)
+
+# Build Doxygen documentation for the C API
+find_package(Doxygen)
+if (DOXYGEN_FOUND)
+    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
+    add_custom_target(doc ${DOXYGEN_EXECUTABLE} Doxyfile
+        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
+        COMMENT "Generating C API documentation with Doxygen" VERBATIM)
+endif(DOXYGEN_FOUND)
