=== debian/changelog ===
libnitrokey (3.6-1) unstable; urgency=medium

  * New Maintainer
  * Bumped Standards-Version to 4.6.0
  * Bumped version in debian/watch to 4
  * Bumped debhelper compat version to 13
  * Added "Rules-Requires-Root: no" to debian/control

 -- Patryk Cisek <patryk@debian.org>  Thu, 09 Dec 2021 09:36:56 -0800

libnitrokey (3.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Patryk Cisek <patryk@debian.org>  Thu, 19 Aug 2021 12:33:32 -0700
