=== debian/changelog ===
libnitrokey (3.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use udevdir from udev.pc to determine udev rules install path.
    (Closes: #1057243)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 21 Dec 2023 00:00:34 +0100

libnitrokey (3.7-1) unstable; urgency=medium

  * New upstream release.

 -- Patryk Cisek <patryk@debian.org>  Fri, 20 May 2022 08:30:38 -0700
