=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 #export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
+
 %:
 	dh $@ --with pkgkde_symbolshelper
