=== debian/changelog ===
libnitrokey (3.8-1) unstable; urgency=medium

  * New Upstream Release (Closes: #1113177)
  * Forcing the use of cmake as a build system since upstream introduced
    the custom-built Makefile

 -- Patryk Cisek <patryk@debian.org>  Fri, 07 Nov 2025 12:38:10 -0800
